<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfInitCalConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfInitCalConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar RF Init Calibration configuration.  
 <a href="structrl_rf_init_cal_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae5c92ce6612ed7470d94702615836882"><td class="memItemLeft" align="right" valign="top">rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_cal_conf__t.html#ae5c92ce6612ed7470d94702615836882">calibEnMask</a></td></tr>
<tr class="memdesc:ae5c92ce6612ed7470d94702615836882"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allowed values = 0x000 or 0xFFF Normally, upon receiving RF INIT message, the <br />
 radarSS performs all relevant initial calibrations. This step can be disabled <br />
 by the host by setting this field to 0x00. If disabled, the host needs to send <br />
 the INJECT CALIB DATA message so that the radarSS can operate using the <br />
 calibration data thus injected. Each of these calibrations can be selectively <br />
 disabled by issuing this message before RF INIT message. <br />
.  <a href="#ae5c92ce6612ed7470d94702615836882">More...</a><br /></td></tr>
<tr class="separator:ae5c92ce6612ed7470d94702615836882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd7e1727c582cca319ec8a3c94592946"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd7e1727c582cca319ec8a3c94592946"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_cal_conf__t.html#afd7e1727c582cca319ec8a3c94592946">reserved0</a></td></tr>
<tr class="memdesc:afd7e1727c582cca319ec8a3c94592946"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:afd7e1727c582cca319ec8a3c94592946"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a449a01277358364be79e0f3da0e1f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a449a01277358364be79e0f3da0e1f7"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_cal_conf__t.html#a5a449a01277358364be79e0f3da0e1f7">reserved1</a></td></tr>
<tr class="memdesc:a5a449a01277358364be79e0f3da0e1f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a5a449a01277358364be79e0f3da0e1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75eec3d2863f16787accbac5b9e4e4bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75eec3d2863f16787accbac5b9e4e4bf"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_cal_conf__t.html#a75eec3d2863f16787accbac5b9e4e4bf">reserved2</a></td></tr>
<tr class="memdesc:a75eec3d2863f16787accbac5b9e4e4bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a75eec3d2863f16787accbac5b9e4e4bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ae0ac74816348d19dd6d7a1b0a3f0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82ae0ac74816348d19dd6d7a1b0a3f0e"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_cal_conf__t.html#a82ae0ac74816348d19dd6d7a1b0a3f0e">reserved3</a></td></tr>
<tr class="memdesc:a82ae0ac74816348d19dd6d7a1b0a3f0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a82ae0ac74816348d19dd6d7a1b0a3f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar RF Init Calibration configuration. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="ae5c92ce6612ed7470d94702615836882"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt32_t rlRfInitCalConf_t::calibEnMask</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allowed values = 0x000 or 0xFFF Normally, upon receiving RF INIT message, the <br />
 radarSS performs all relevant initial calibrations. This step can be disabled <br />
 by the host by setting this field to 0x00. If disabled, the host needs to send <br />
 the INJECT CALIB DATA message so that the radarSS can operate using the <br />
 calibration data thus injected. Each of these calibrations can be selectively <br />
 disabled by issuing this message before RF INIT message. <br />
. </p>
<p>Bit Calibration <br />
 0 [Reserved] <br />
 1 [Reserved] <br />
 2 [Reserved] <br />
 3 [Reserved] <br />
 4 Enable LODIST calibration <br />
 5 Enable RX ADC DC offset calibration <br />
 6 Enable HPF cutoff calibration <br />
 7 Enable LPF cutoff calibration <br />
 8 Enable Peak detector calibration <br />
 9 Enable TX Power calibration <br />
 10 Enable RX gain calibration <br />
 11 [Reserved] <br />
 12 Enable RX IQMM calibration <br />
 31:13 [Reserved] <br />
</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
